# vim: set ts=4 sw=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


%define perlname	Gtk2-MozEmbed

Name:           perl-%{perlname}
Version:        0.08
Release:        0.pm.2.1
Summary:        Perl interface to the Mozilla embedding widget
Source:         http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/%{perlname}-%{version}.tar.gz
Source90:       %{name}-rpmlintrc
Patch1:         %{name}-xs-GtkMozEmbed.xs.diff
URL:            http://search.cpan.org/~tsch/Gtk2-MozEmbed/
Group:          Development/Libraries/Perl
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       perl-Gtk2
Requires:       perl-Glib
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
%if %suse_version >= 1140
BuildRequires:  mozilla-xulrunner192-devel
Requires:       mozilla-xulrunner192
%endif
%if %suse_version >= 1120 && %suse_version < 1140
BuildRequires:  mozilla-xulrunner191-devel
%endif
%if %suse_version < 1120
BuildRequires:  mozilla-xulrunner190-devel
%endif
BuildRequires:  perl-macros
%{perl_requires}
BuildRequires:  perl-ExtUtils-Depends
BuildRequires:  perl-ExtUtils-PkgConfig
BuildRequires:  perl-Glib
BuildRequires:  perl-Gtk2
BuildRequires:  pkgconfig

%description
This module allows you to use the Mozilla embedding widget from Perl.

%prep
%setup -q -n %{perlname}-%{version}
%patch1
%__sed -i '/^auto_install/d' Makefile.PL

%build
CFLAGS="%{optflags}" \
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE NEWS README
%doc %{perl_man3dir}/Gtk2::MozEmbed.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Gtk2::MozEmbed::index.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Gtk2::MozEmbed::main.%{perl_man3ext}%{ext_man}
%dir %{perl_vendorarch}/Gtk2
%{perl_vendorarch}/Gtk2/MozEmbed.pm
%{perl_vendorarch}/Gtk2/MozEmbed
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/MozEmbed

%changelog
* Fri Feb  6 2009 toni@links2linux.de
- moved files to vendorarch
* Thu Aug 28 2008 toni@links2linux.de
- update to 0.08
* Mon Mar 17 2008 toni@links2linux.de
- update to 0.07
* Sat Mar 31 2007 toni@links2linux.de
- initial package 0.06
